Apply DataView indices to all installed engines

Base URL
https://{kibana_url}
  • POST /api/entity_store/engines/apply_dataview_indices
  • POST /s/{space_id}/api/entity_store/engines/apply_dataview_indices
Auth

Synchronize data view index patterns to all running entity engines so that newly added indices are picked up by the transforms.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
result object[]

Per-engine update results.

changes object

The changes applied to the engine.

indexPatterns string[]

The updated list of index patterns now used by the engine.

type string required

The entity type of the engine that was updated.

success boolean

Whether all engines updated successfully.

Partial successful response

application/json
errors string[]

Error messages for engines that failed to update.

result object[]

Per-engine update results for engines that succeeded.

changes object

The changes applied to the engine.

indexPatterns string[]

The updated list of index patterns now used by the engine.

type string required

The entity type of the engine that was updated.

success boolean

Always false for a partial success.

Error response

application/json
body string

Error message.

statusCode number

HTTP status code.

Base URL
https://{kibana_url}